Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Interface ControlP5Constants

All Known Implementing Classes:
  Accordion, Bang, Button, Chart, CheckBox, ColorPicker, ControlGroup, Controller, ControllerGroup, ControlP5, ControlP5Base, DropdownList, Group, Knob, ListBox, Matrix, MultiList, MultiListButton, Numberbox, Radio, RadioButton, Range, Slider, Slider2D, Tab, Textarea, Textfield, Textlabel, Toggle

    public interface ControlP5Constants

Constant variables used with ControlP5 are stored here.

Field Summary
`static java.lang.Class[]` | `acceptClassList`
`static int` | `ACTION_BROADCAST`
`static int` | `ACTION_ENTER`
`static int` | `ACTION_LEAVE`
`static int` | `ACTION_PRESSED`
`static int` | `ACTION_RELEASED`
`static int` | `ACTION_RELEASEDOUTSIDE`
`static int` | `ACTIVE`
`static int` | `ALL` Deprecated.
`static int` | `ALT`
`static int` | `ARC`
`static int` | `ARRAY`
`static int` | `BACKSPACE`
`static int` | `BASELINE`
`static int` | `BITFONT`
`static int` | `BOOLEAN`
`static int` | `BOTTOM`
`static int` | `BOTTOM_OUTSIDE`
`static int` | `CAPTIONLABEL`
`static int` | `CENTER`
`static int` | `COMMANDKEY`
`static int` | `CONTROL`
`static java.lang.Class` | `controlEventClass`
`static int` | `CUSTOM`
`static char` | `DECREASE`
`static int` | `DEFAULT`
`static int` | `DELETE`
`static int` | `DONE`
`static int` | `DOWN`
`static int` | `ELLIPSE`
`static int` | `ENTER`
`static int` | `ESCAPE`
`static int` | `EVENT`
`static java.lang.String` | `eventMethod`
`static int` | `FADEIN`
`static int` | `FADEOUT`
`static int` | `FIELD`
`static int` | `FLOAT`
`static float` | `HALF_PI`
`static char` | `HIDE`
`static int` | `HIGHLIGHT`
`static int` | `HORIZONTAL`
`static int` | `IDLE`
`static int` | `IMAGE`
`static int` | `INACTIVE`
`static char` | `INCREASE`
`static int` | `INTEGER`
`static int` | `INVALID`
`static char` | `KEYCONTROL`
`static int` | `LEFT`
`static int` | `LEFT_OUTSIDE`
`static int` | `LINE`
`static char` | `LOAD`
`static char` | `MENU`
`static int` | `METHOD`
`static int` | `MOVE`
`static int` | `MULTI`
`static int` | `MULTIPLES`
`static int` | `OVER`
`static float` | `PI`
`static int` | `PRESSED`
`static char` | `PRINT`
`static int` | `RELEASE`
`static char` | `RESET`
`static int` | `RIGHT`
`static int` | `RIGHT_OUTSIDE`
`static char` | `SAVE`
`static int` | `SHIFT`
`static int` | `SINGLE`
`static int` | `SINGLE_COLUMN`
`static int` | `SINGLE_ROW`
`static int` | `SPRITE`
`static int` | `STRING`
`static int` | `SWITCH`
`static char` | `SWITCH_BACK`
`static char` | `SWITCH_FORE`
`static int` | `TAB`
`static int` | `TOP`
`static int` | `TOP_OUTSIDE`
`static int` | `TRANSITION_WAIT_FADEIN`
`static float` | `TWO_PI`
`static int` | `UP`
`static int` | `VALUELABEL`
`static boolean` | `VERBOSE`
`static int` | `VERTICAL`
`static int` | `WAIT`

Field Detail

### acceptClassList

    static final java.lang.Class[] acceptClassList

### ACTION_BROADCAST

    static final int ACTION_BROADCAST

See Also:
  Constant Field Values

### ACTION_ENTER

    static final int ACTION_ENTER

See Also:
  Constant Field Values

### ACTION_LEAVE

    static final int ACTION_LEAVE

See Also:
  Constant Field Values

### ACTION_PRESSED

    static final int ACTION_PRESSED

See Also:
  Constant Field Values

### ACTION_RELEASED

    static final int ACTION_RELEASED

See Also:
  Constant Field Values

### ACTION_RELEASEDOUTSIDE

    static final int ACTION_RELEASEDOUTSIDE

See Also:
  Constant Field Values

### ACTIVE

    static final int ACTIVE

See Also:
  Constant Field Values

### ALL

    @Deprecated
    static final int ALL

  Deprecated.
  See Also:
    Constant Field Values

### ALT

    static final int ALT

See Also:
  Constant Field Values

### ARC

    static final int ARC

See Also:
  Constant Field Values

### ARRAY

    static final int ARRAY

See Also:
  Constant Field Values

### BACKSPACE

    static final int BACKSPACE

See Also:
  Constant Field Values

### BASELINE

    static final int BASELINE

See Also:
  Constant Field Values

### BITFONT

    static final int BITFONT

See Also:
  Constant Field Values

### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

### BOTTOM

    static final int BOTTOM

See Also:
  Constant Field Values

### BOTTOM_OUTSIDE

    static final int BOTTOM_OUTSIDE

See Also:
  Constant Field Values

### CAPTIONLABEL

    static final int CAPTIONLABEL

See Also:
  Constant Field Values

### CENTER

    static final int CENTER

See Also:
  Constant Field Values

### COMMANDKEY

    static final int COMMANDKEY

See Also:
  Constant Field Values

### CONTROL

    static final int CONTROL

See Also:
  Constant Field Values

### controlEventClass

    static final java.lang.Class controlEventClass

### CUSTOM

    static final int CUSTOM

See Also:
  Constant Field Values

### DECREASE

    static final char DECREASE

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### DELETE

    static final int DELETE

See Also:
  Constant Field Values

### DONE

    static final int DONE

See Also:
  Constant Field Values

### DOWN

    static final int DOWN

See Also:
  Constant Field Values

### ELLIPSE

    static final int ELLIPSE

See Also:
  Constant Field Values

### ENTER

    static final int ENTER

See Also:
  Constant Field Values

### ESCAPE

    static final int ESCAPE

See Also:
  Constant Field Values

### EVENT

    static final int EVENT

See Also:
  Constant Field Values

### eventMethod

    static final java.lang.String eventMethod

See Also:
  Constant Field Values

### FADEIN

    static final int FADEIN

See Also:
  Constant Field Values

### FADEOUT

    static final int FADEOUT

See Also:
  Constant Field Values

### FIELD

    static final int FIELD

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### HALF_PI

    static final float HALF_PI

See Also:
  Constant Field Values

### HIDE

    static final char HIDE

See Also:
  Constant Field Values

### HIGHLIGHT

    static final int HIGHLIGHT

See Also:
  Constant Field Values

### HORIZONTAL

    static final int HORIZONTAL

See Also:
  Constant Field Values

### IDLE

    static final int IDLE

See Also:
  Constant Field Values

### IMAGE

    static final int IMAGE

See Also:
  Constant Field Values

### INACTIVE

    static final int INACTIVE

See Also:
  Constant Field Values

### INCREASE

    static final char INCREASE

See Also:
  Constant Field Values

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### INVALID

    static final int INVALID

See Also:
  Constant Field Values

### KEYCONTROL

    static final char KEYCONTROL

See Also:
  Constant Field Values

### LEFT

    static final int LEFT

See Also:
  Constant Field Values

### LEFT_OUTSIDE

    static final int LEFT_OUTSIDE

See Also:
  Constant Field Values

### LINE

    static final int LINE

See Also:
  Constant Field Values

### LOAD

    static final char LOAD

See Also:
  Constant Field Values

### MENU

    static final char MENU

See Also:
  Constant Field Values

### METHOD

    static final int METHOD

See Also:
  Constant Field Values

### MOVE

    static final int MOVE

See Also:
  Constant Field Values

### MULTI

    static final int MULTI

See Also:
  Constant Field Values

### MULTIPLES

    static final int MULTIPLES

See Also:
  Constant Field Values

### OVER

    static final int OVER

See Also:
  Constant Field Values

### PI

    static final float PI

See Also:
  Constant Field Values

### PRESSED

    static final int PRESSED

See Also:
  Constant Field Values

### PRINT

    static final char PRINT

See Also:
  Constant Field Values

### RELEASE

    static final int RELEASE

See Also:
  Constant Field Values

### RESET

    static final char RESET

See Also:
  Constant Field Values

### RIGHT

    static final int RIGHT

See Also:
  Constant Field Values

### RIGHT_OUTSIDE

    static final int RIGHT_OUTSIDE

See Also:
  Constant Field Values

### SAVE

    static final char SAVE

See Also:
  Constant Field Values

### SHIFT

    static final int SHIFT

See Also:
  Constant Field Values

### SINGLE

    static final int SINGLE

See Also:
  Constant Field Values

### SINGLE_COLUMN

    static final int SINGLE_COLUMN

See Also:
  Constant Field Values

### SINGLE_ROW

    static final int SINGLE_ROW

See Also:
  Constant Field Values

### SPRITE

    static final int SPRITE

See Also:
  Constant Field Values

### STRING

    static final int STRING

See Also:
  Constant Field Values

### SWITCH

    static final int SWITCH

See Also:
  Constant Field Values

### SWITCH_BACK

    static final char SWITCH_BACK

See Also:
  Constant Field Values

### SWITCH_FORE

    static final char SWITCH_FORE

See Also:
  Constant Field Values

### TAB

    static final int TAB

See Also:
  Constant Field Values

### TOP

    static final int TOP

See Also:
  Constant Field Values

### TOP_OUTSIDE

    static final int TOP_OUTSIDE

See Also:
  Constant Field Values

### TRANSITION_WAIT_FADEIN

    static final int TRANSITION_WAIT_FADEIN

See Also:
  Constant Field Values

### TWO_PI

    static final float TWO_PI

See Also:
  Constant Field Values

### UP

    static final int UP

See Also:
  Constant Field Values

### VALUELABEL

    static final int VALUELABEL

See Also:
  Constant Field Values

### VERBOSE

    static final boolean VERBOSE

See Also:
  Constant Field Values

### VERTICAL

    static final int VERTICAL

See Also:
  Constant Field Values

### WAIT

    static final int WAIT

See Also:
  Constant Field Values

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012